package com.msl;

import lombok.Getter;
import lombok.Setter;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.io.IOException;

/**
 * @author wanglq
 * Date 2024/8/7
 * Time 13:23
 */
@Getter
@Setter
public class FileContext {
    private File file;
    private String content;
    private String fileName;

    public FileContext(File file) throws IOException {
        this.file = file;
        this.fileName = file.getName();
        content = FileUtils.readFileToString(file, "UTF-8");
    }
}
