package com.msl;

/**
 * @author wanglq
 * Date 2024/8/7
 * Time 13:26
 */
public interface FileUpdater {
    /**
     * 能否更新文件
     *
     * @param context 文件上下文
     * @return 能否更新
     */
    boolean canApply(FileContext context);

    /**
     * 更新文件上下文
     *
     * @param context 文件上下文
     */
    void update(FileContext context);
}
